//************************************************************
//---------------XiAn AnaDig IC Inc.(XAD-IC)------------------
//-----------------C File Standard--------------------
//************************************************************
//#Author      :
//#Case name   :
//#Function    :
////CMP3,P->PC0 N->PA2 CMPOUT->PC2
//************************************************************
#include "AD18F06A.h"
#include "usart.h"
#include <stdio.h>
#include "Periph.h"

__CONFIG(1,_FINTOSC_DIV1_1L   & _LVREN_OFF_1L       & _LVR24V_1L                                                                                          );
__CONFIG(2,_FLASH_CP7_OFF_2L  & _FLASH_CP6_OFF_2L  & _FLASH_CP5_OFF_2L   & _FLASH_CP4_OFF_2L   & _FLASH_CP3_OFF_2L
         & _FLASH_CP2_OFF_2L  & _FLASH_CP1_OFF_2L  & _FLASH_CP0_OFF_2L   & _CRYLEN_OFF_2L      & _CRYHEN_OFF_2L
  	     & _IDIS_OFF_2L       & _CKSUM_OFF_2L      & _CBP_OFF_2L         & _RESETE_OFF_2L      & _RSEL_LOW_2L       & _STV_ON_2L                         );
__CONFIG(3, _DBG_OFF_3L       & _PSUT_8_3L         & _FCPU_4T_3L         & _WDTEN_OFF_3L       & _TWDT_011_3L                                            );
__CONFIG(4,_OSCM_HIRC_16M_4L  &_ENVDDL_ON_4L       & _EEDIS_OFF_4L       & _FLDIS_OFF_4L       & _FCMEN_OFF_4L      & _IESO_OFF_4L    & _DBGS_IOSEL_1_4L );

//CMP3,P->PC0 N->PA2 CMPOUT->PC2
void main(void)
{
	GPIO_Init();
	usart0_init();	//PB2_TX//PB1_RX  9600
    printf("*             CMP3_TEST            *\r\n");

    CPM3_init();
    INTER_init();

	TRISD5=0;
	TRISD6=0;
	TRISD7=0;
    while(1)
	{
		PD5=CMP3OUT;	//PD5输出比较结果
	}

}



//高优先级中断服务函数

void interrupt ISR_h (void)
{
//进入中断后系统自动关闭中断

	if((CMP3IE==1)&&(CMP3IF==1))
	{
        CMP3IF=0;
        PD6=~PD6;
	}
}

//低优先级中断服务函数

void interrupt low_priority ISR_l (void)
{
//进入中断后系统自动关闭中断


}
